define(['jquery'], function($) {
	'use strict';

	return {
		init: function() {
			this.salesVolumeLoad();
		},
		salesVolumeLoad:function() {
        	var list=jQuery('span[id^=SalesV_]');
        	var id = new Array(list.length);
        	var idStr="";
        	var aryIndex = 0;
        	for (var i = 0; i < list.length; i++) {
                id[aryIndex++] = list[i].id;
                idStr+= list[i].id;
        	}
        	if(idStr==""){
        		return;
        	}
        	jQuery.ajax({
        		type: 'post',
        		url:  GLOBAL_OBJ.dynamicPath+'wj/sales_volume?methodName=search&productIds='+id,
        		dataType: "json",
        		success: function(data) {
        			jQuery.each(data, function(index, object) {
        				$('#'+index).html(object);
        			});
        		}
        	});
        }
	};
});
